# Getting started

The Make REST API allows using HTTP requests to access Make data and control the Make platform without opening its graphical interface. This allows you to embed Make features into your software, add features on top of the platform, and automate your tasks that you perform in Make. To use the Make API, you need a Make account. Once logged in, you can [create an authentication token](/api-documentation/authentication/create-authentication-token.md) or [request an OAuth 2.0 client](https://developers.make.com/api-documentation/authentication/requesting-an-oauth-2.0-client) and start [making calls to the API](/api-documentation/getting-started/making-your-first-api-request.md).

The API allows you to interact with multiple [Make resources](/api-documentation/getting-started/resources.md).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.make.com/api-documentation/getting-started.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
